function [vec_f]=myrms(vec_i)
[row,den]=size(vec_i);
vec_f=nan(row,1);
for i=1:row
    num=sum(vec_i(i,:).^2);
    if vec_i(i,1)<0
        vec_f(i)=-sqrt(num/den);
    else
        vec_f(i)=sqrt(num/den);
    end
end
end